For the complete documentation index, see llms.txt. This page is also available as Markdown.

Create a paypal gateway

How to create a paypal gateway via API

To create a new paypal gateway, send a POST request to the /api/paypal_gateways endpoint, passing the resource arguments in the request body.

Request

POST https://yourdomain.commercelayer.io/api/paypal_gateways

Arguments

Body Parameter
Type
Required

type

string

Required

attributes.name

string

Required

attributes.force_payments

boolean

Optional, default is 'false'

attributes._disable

boolean

Optional

attributes._enable

boolean

Optional

attributes.reference

string

Optional

attributes.reference_origin

string

Optional

attributes.metadata

object

Optional

attributes._check

boolean

Optional

attributes.client_id

string

Required

attributes.client_secret

string

Required

Example

The following request creates a new paypal gateway:

curl -g -X POST \
  'https://yourdomain.commercelayer.io/api/paypal_gateways' \
  -H 'Accept: application/vnd.api+json' \
  -H 'Authorization: Bearer your-access-token' \
  -H 'Content-Type: application/vnd.api+json' \
  -d '{
  "data": {
    "type": "paypal_gateways",
    "attributes": {
      "name": "US payment gateway",
      "client_id": "xxxx-yyyy-zzzz",
      "client_secret": "xxxx-yyyy-zzzz"
    }
  }
}'

On success, the API responds with a 201 Created status code, returning the created resource object:

{
  "data": {
    "id": "XAyRWNUzyN",
    "type": "paypal_gateways",
    "links": {
      "self": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN"
    },
    "attributes": {
      "name": "US payment gateway",
      "force_payments": true,
      "credential_keys": {
        "api_key": "********BW989"
      },
      "disabled_at": "2018-01-01T12:00:00.000Z",
      "created_at": "2018-01-01T12:00:00.000Z",
      "updated_at": "2018-01-01T12:00:00.000Z",
      "reference": "ANY-EXTERNAL-REFEFERNCE",
      "reference_origin": "ANY-EXTERNAL-REFEFERNCE-ORIGIN",
      "metadata": {
        "foo": "bar"
      }
    },
    "relationships": {
      "payment_methods": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/relationships/payment_methods",
          "related": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/payment_methods"
        }
      },
      "event_stores": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/relationships/event_stores",
          "related": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/event_stores"
        }
      },
      "paypal_payments": {
        "links": {
          "self": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/relationships/paypal_payments",
          "related": "https://yourdomain.commercelayer.io/api/paypal_gateways/XAyRWNUzyN/paypal_payments"
        }
      }
    },
    "meta": {
      "mode": "test",
      "organization_id": "xRRkjDFafe",
      "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
    }
  },
  "meta": {
    "mode": "test",
    "organization_id": "xRRkjDFafe",
    "trace_id": "69abaa3545913c78132e5578bd26208d44aa9043647d78698fd0021f3958cd74"
  }
}

Last updated